<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.inspect</groupId>
    <artifactId>inspect</artifactId>
    <packaging>pom</packaging>
    <version>3.4.0</version>
 
    <properties>
        <revision>3.4.0</revision>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>
        <java.version>1.8</java.version>
        <spring.cloud.alibaba.version>2021.1</spring.cloud.alibaba.version>
        <spring.boot.version>2.6.6</spring.boot.version>
        <spring.cloud.version>2021.0.1</spring.cloud.version>
        <swagger.fox.version>3.0.0</swagger.fox.version>
        <mysql.version>8.0.28</mysql.version>
        <druid.version>1.2.8</druid.version>
        <mybatis.plus.boot.starter>3.4.3</mybatis.plus.boot.starter>
        <fastjson2.version>2.0.19</fastjson2.version>
        <dynamic-ds.version>3.5.0</dynamic-ds.version>
        <fastjson.version>1.2.83</fastjson.version>
        <lombok.version>1.18.24</lombok.version>
        <spring.cloud.openfeign.version>3.1.1</spring.cloud.openfeign.version>
        <spring.cloud.bootstrap.version>3.1.1</spring.cloud.bootstrap.version>
        <javax.ws.rs.version>1.1.1</javax.ws.rs.version>
        <common.lang3.version>3.12.0</common.lang3.version>
        <jjwt.api.version>0.11.2</jjwt.api.version>
        <jjwt.version>0.9.1</jjwt.version>
        <spring.security.version>2.7.6</spring.security.version>
        <spring.boot.starter.quartz.version>2.5.3</spring.boot.starter.quartz.version>
        <nacos.client.version>2.0.4</nacos.client.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.springframework.cloud</groupId>
            <artifactId>spring-cloud-starter-bootstrap</artifactId>
            <version>${spring.cloud.bootstrap.version}</version>
        </dependency>
        <dependency>
            <groupId>com.alibaba.nacos</groupId>
            <artifactId>nacos-client</artifactId>
            <version>${nacos.client.version}</version>
        </dependency>
        <dependency>
            <groupId>org.codehaus.jackson</groupId>
            <artifactId>jackson-core-asl</artifactId>
            <version>1.9.13</version>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-core</artifactId>
            <version>2.15.2</version>
        </dependency>

    </dependencies>
    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring.boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-dependencies</artifactId>
                <version>${spring.cloud.alibaba.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
                <version>${spring.cloud.alibaba.version}</version>
                <exclusions>
                    <exclusion>
                        <groupId>com.alibaba.nacos</groupId>
                        <artifactId>nacos-api</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>com.alibaba.nacos</groupId>
                        <artifactId>nacos-client</artifactId>
                    </exclusion>
                    <exclusion>
                        <groupId>com.alibaba.nacos</groupId>
                        <artifactId>nacos-common</artifactId>
                    </exclusion>
                </exclusions>
            </dependency>
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
                <version>${spring.cloud.alibaba.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-starter-alibaba-sentinel</artifactId>
                <version>${spring.cloud.alibaba.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-alibaba-sentinel-gateway</artifactId>
                <version>${spring.cloud.alibaba.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.cloud</groupId>
                <artifactId>spring-cloud-starter-alibaba-seata</artifactId>
                <version>${spring.cloud.alibaba.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-commons</artifactId>
                <version>3.1.1</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.csp</groupId>
                <artifactId>sentinel-datasource-nacos</artifactId>
                <version>1.8.0</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-starter-openfeign</artifactId>
                <version>${spring.cloud.openfeign.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-actuator</artifactId>
                <version>3.1.2</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-starter-gateway</artifactId>
                <version>3.1.1</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-data-jdbc</artifactId>
                <version>3.2.0</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.amqp</groupId>
                <artifactId>spring-rabbit</artifactId>
                <version>2.4.3</version>
            </dependency>
            <dependency>
                <groupId>javax.ws.rs</groupId>
                <artifactId>jsr311-api</artifactId>
                <version>${javax.ws.rs.version}</version>
            </dependency>
            <dependency>
                <groupId>com.github.penggle</groupId>
                <artifactId>kaptcha</artifactId>
                <version>2.3.2</version>
            </dependency>
            <dependency>
                <groupId>org.apache.commons</groupId>
                <artifactId>commons-lang3</artifactId>
                <version>${common.lang3.version}</version>
            </dependency>
            <dependency>
                <groupId>commons-io</groupId>
                <artifactId>commons-io</artifactId>
                <version>2.11.0</version>
            </dependency>
            <dependency>
                <groupId>commons-fileupload</groupId>
                <artifactId>commons-fileupload</artifactId>
                <version>1.4</version>
            </dependency>
            <dependency>
                <groupId>org.apache.poi</groupId>
                <artifactId>poi-ooxml</artifactId>
                <version>4.1.2</version>
            </dependency>
            <dependency>
                <groupId>io.swagger</groupId>
                <artifactId>swagger-annotations</artifactId>
                <version>1.6.2</version>
            </dependency>
            <dependency>
                <groupId>io.springfox</groupId>
                <artifactId>springfox-swagger2</artifactId>
                <version>${swagger.fox.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.cloud</groupId>
                <artifactId>spring-cloud-dependencies</artifactId>
                <version>${spring.cloud.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>mysql</groupId>
                <artifactId>mysql-connector-java</artifactId>
                <version>${mysql.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>druid-spring-boot-starter</artifactId>
                <version>${druid.version}</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>dynamic-datasource-spring-boot-starter</artifactId>
                <version>${dynamic-ds.version}</version>
            </dependency>
            <dependency>
                <groupId>org.mybatis.spring.boot</groupId>
                <artifactId>mybatis-spring-boot-starter</artifactId>
                <version>2.2.2</version>
            </dependency>
            <dependency>
                <groupId>com.baomidou</groupId>
                <artifactId>mybatis-plus-boot-starter</artifactId>
                <version>${mybatis.plus.boot.starter}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba.fastjson2</groupId>
                <artifactId>fastjson2</artifactId>
                <version>${fastjson2.version}</version>
            </dependency>
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>${lombok.version}</version>
            </dependency>
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt-api</artifactId>
                <version>${jjwt.api.version}</version>
            </dependency>
            <dependency>
                <groupId>io.jsonwebtoken</groupId>
                <artifactId>jjwt</artifactId>
                <version>${jjwt.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-security</artifactId>
                <version>${spring.security.version}</version>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-starter-quartz</artifactId>
                <version>${spring.boot.starter.quartz.version}</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>transmittable-thread-local</artifactId>
                <version>2.12.2</version>
            </dependency>
            <dependency>
                <groupId>com.github.pagehelper</groupId>
                <artifactId>pagehelper-spring-boot-starter</artifactId>
                <version>1.4.1</version>
            </dependency>
            <dependency>
                <groupId>com.alibaba</groupId>
                <artifactId>fastjson</artifactId>
                <version>${fastjson.version}</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-core</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-datasource</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-websocket</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-redis</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-system</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-swagger</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-ivs</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-base-access</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-common-log</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-common-aspect</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-common-security</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-main-task</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-main-video</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-main-statistics</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-main-client</artifactId>
                <version>3.4.0</version>
            </dependency>
            <dependency>
                <groupId>com.inspect</groupId>
                <artifactId>inspect-main-task-exec</artifactId>
                <version>3.4.0</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

    <modules>
        <module>inspect-base</module>
        <module>inspect-common</module>
        <module>inspect-gateway</module>
        <module>inspect-main</module>
        <module>inspect-admin</module>
        <module>inspect-ivs</module>
        <module>inspect-metadata</module>
        <module>inspect-job</module>
        <module>inspect-management</module>
    </modules>

    <profiles>
        <profile>
            <id>dev</id>
            <properties>
            </properties>
            <activation>
                <activeByDefault>true</activeByDefault>
            </activation>
        </profile>
    </profiles>

    <build>
        <resources>
            <resource>
                <directory>src/main/resources</directory>
                <filtering>true</filtering>
                <excludes>
                    <exclude>**/application*.yml</exclude>
                    <exclude>**/application*.yaml</exclude>
                    <exclude>**/application*.properties</exclude>
                </excludes>
            </resource>
        </resources>
        <plugins>
        </plugins>
    </build>
</project>